summaryrefslogtreecommitdiff
path: root/lib/libssl/test/tpkcs7d
diff options
context:
space:
mode:
authorryker <ryker@cvs.openbsd.org>1998-10-05 20:13:15 +0000
committerryker <ryker@cvs.openbsd.org>1998-10-05 20:13:15 +0000
commitbff052ec2da81e414902f18d26192a16c8447863 (patch)
tree2f0c8beaf0cb7121398669e4313cb1a712609c78 /lib/libssl/test/tpkcs7d
parent19903f9a5985cbd8ddc4123aff9263f1b9dd7e1b (diff)
Import of SSLeay-0.9.0b with RSA and IDEA stubbed + OpenBSD build
functionality for shared libs. Note that routines such as sslv2_init and friends that use RSA will not work due to lack of RSA in this library. Needs documentation and help from ports for easy upgrade to full functionality where legally possible.
Diffstat (limited to 'lib/libssl/test/tpkcs7d')
-rw-r--r--lib/libssl/test/tpkcs7d44
1 files changed, 44 insertions, 0 deletions
diff --git a/lib/libssl/test/tpkcs7d b/lib/libssl/test/tpkcs7d
new file mode 100644
index 00000000000..c8f18fb09c1
--- /dev/null
+++ b/lib/libssl/test/tpkcs7d
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+PATH=../apps:$PATH
+export PATH
+
+cmd='../apps/ssleay pkcs7'
+
+if [ "$1"x != "x" ]; then
+ t=$1
+else
+ t=pkcs7-1.pem
+fi
+
+echo testing pkcs7 conversions
+cp $t fff.p
+
+echo "p -> d"
+$cmd -in fff.p -inform p -outform d >f.d
+if [ $? != 0 ]; then exit 1; fi
+echo "p -> p"
+$cmd -in fff.p -inform p -outform p >f.p
+if [ $? != 0 ]; then exit 1; fi
+
+echo "d -> d"
+$cmd -in f.d -inform d -outform d >ff.d1
+if [ $? != 0 ]; then exit 1; fi
+echo "p -> d"
+$cmd -in f.p -inform p -outform d >ff.d3
+if [ $? != 0 ]; then exit 1; fi
+
+echo "d -> p"
+$cmd -in f.d -inform d -outform p >ff.p1
+if [ $? != 0 ]; then exit 1; fi
+echo "p -> p"
+$cmd -in f.p -inform p -outform p >ff.p3
+if [ $? != 0 ]; then exit 1; fi
+
+cmp f.p ff.p1
+if [ $? != 0 ]; then exit 1; fi
+cmp f.p ff.p3
+if [ $? != 0 ]; then exit 1; fi
+
+/bin/rm -f f.* ff.* fff.*
+exit 0